package sun.awt;

import java.awt.event.InvocationEvent;

public class PeerEvent extends InvocationEvent
{
    public static final long PRIORITY_EVENT = 1L;
    public static final long ULTIMATE_PRIORITY_EVENT = 2L;
    public static final long LOW_PRIORITY_EVENT = 4L;
    private long flags;
    
    public PeerEvent(Object o, Runnable runnable, long n) {
        this(o, runnable, null, false, n);
    }
    
    public PeerEvent(Object source, Runnable runnable, Object notifier, boolean catchThrowables, long flags) {
        super(source, runnable, notifier, catchThrowables);
        this.flags = flags;
    }
    
    public long getFlags() {
        return this.flags;
    }
    
    public PeerEvent coalesceEvents(PeerEvent peerEvent) {
        return null;
    }
}
